.website_blog {
    .css_website_mail {
        .o_has_error {
            border-color: red;
        }
        .css_nav_month {
            display: none;
            &:first-of-type {
                display: block;
            }
        }
    }

    .read_width {
        max-width: 700px;
        margin-left: auto;
        margin-right: auto;
    }

    .blog_content {
        min-height: 350px !important;
        a.oe_mail_expand:after {
            content: " →";
        }
        a.oe_mail_expand {
            font-weight: bold;
        }
    }

    p.post-meta {
        position: relative;
        top: -5px;
    }

    div#blog_angle_down a:hover {
        text-decoration: none;
    }

    .o_blog_cover_container {
        position: relative;

        > .o_blog_cover_component {
            @include o-position-absolute(0, 0, 0, 0);
            display: none;

            background-size: cover;
            background-position: center;
            background-repeat: no-repeat;
        }

        > .blog_title {
            margin: 0 auto;
            text-align: center;
            font-weight: bold;
        }
        &.cover {
            > .o_blog_cover_component {
                display: block;
            }
        }
        &.cover, &.cover_footer {
            > .blog_title {
                color: white;
                @include o-position-absolute(20%, $grid-gutter-width, auto, $grid-gutter-width);
            }
        }

        &.cover_full {
            height: 600px;
            height: 100vh;
        }
        &.cover_narrow {
            height: 300px;
            height: 50vh;
        }
        &.o_list_cover {
            display: none;
            height: 250px!important;

            &.cover {
                display: block;
            }
        }

        &.cover_footer {
            min-height: 350px;
            height: 65vh;
            background-color: #B8B8B8;
            cursor: pointer;
        }
    }

    /* mobile preview: for blog h1,h2 font-size and cover-footer height of image overlapas */
    @include media-breakpoint-down(sm) {
        .o_blog_cover_container {
            > .blog_title {
                > h1 {
                    font-size: 26px;
                }
                > h2 {
                    font-size: 20px;
                }
            }
            &.cover > .blog_title {
                top: 10%;
            }

            &.cover_narrow {
                height: 65vh;
            }

            &.cover_footer {
                min-height: 280px;
                height: 50vh;

                > .blog_title {
                    top: 2%;
                }
            }
        }
    }

    mark + .popover, .cover_footer {
        cursor: pointer;
    }

    .js_publish_management {
        z-index: 1;

        .dropdown-menu {
            left: auto;
            right: 0;
        }
    }

    .o_blog_post_title {
        font-size: 24px;
    }

    .o_blog_post_teaser {
        text-align: justify;
    }

    /*To display the grid or inline presentation of the blog.post_list*/
    .o_grid {
        margin: 0 6% 6% 0;
        border: 1px solid #EEEEEE;
        box-shadow: .5px .5px .5px .5px rgba(238,238,238,1);
        padding-bottom: 15px;
        .o_blog_post_teaser {
            width: 100%;
        }
        > .text-muted > .mb0 > hr {
            display: none;
        }
    }

    .o_author_avatar_little {
        width: 40px;
    }

    .o_blog_post_complete.o_sharing_links {
        max-width: 700px;
        margin: 50px auto 50px auto;
        text-align: center;

        > p {
            font-size: 16px;
            font-weight: 600;
        }
        > a {
            font: normal normal normal 40px/1 FontAwesome;
        }
    }

    .blog_post_year_collapse {
        cursor: pointer;
        > i {
            color: theme-color('primary');
        }
    }

    section.blog_tags ul.nav-pills li a {
        padding: 2px 15px;
    }
}

//------------------------------------------------------------------------------
// Latest posts snippets
//------------------------------------------------------------------------------

.s_latest_posts .media > a {
    width: 100%;
    height: 200px;

    @include media-breakpoint-up(md) {
        width: 100px;
        height: 100px;
    }

    > .o_blog_cover_container {
        position: relative;
        width: 100%;
        height: 100%;
        padding: 0;

        > .o_blog_cover_component {
            @include o-position-absolute(0, 0, 0, 0);
        }
        > .o_blog_cover_image {
            background-size: cover;
            background-position: center;
        }
    }
}

$s-latest-posts-big-picture-figure-bg: $white !default;

.s_latest_posts_big_picture {
    .s_latest_posts_post {
        position: relative;
        height: 250px;
        background: $s-latest-posts-big-picture-figure-bg;
        text-align: center;
        cursor: pointer;
        transition: all 300ms;

        &.js-loading {
            background: gray('200') !important;
        }

        .thumb {
            position: relative;
            display: block;
            width: 100%;
            height: 100%;
            padding: 0;
            opacity: 0.8;

            > .o_blog_cover_component {
                @include o-position-absolute(0, 0, 0, 0);
            }
            > .o_blog_cover_image {
                background-size: cover;
                background-position: center;
            }
        }
        > div, > div > a {
            @include o-position-absolute(0, 0, 0, 0);
            padding: 2em;
            color: $white;
            text-transform: uppercase;
            font-size: 1.25em;
            backface-visibility: hidden;
            &::after, &::before {
                pointer-events: none;
            }

            > a {
                z-index: 1000;
                text-indent: 200%;
                white-space: nowrap;
                font-size: 0;
                opacity: 0;
            }
            h2 {
                margin: 0;
                font-size: 1.5em;
                font-weight: 300;
                span {
                    font-weight: 800;
                }
            }
            p {
                margin: 1em 0 0;
                letter-spacing: 1px;
                font-size: 68.5%;
            }
        }
        @include s-latest-posts-figure-hook;
    }

    @include s-latest-posts-js-get-posts-hook;
}

.s_latest_posts, .s_latest_posts_big_picture {

    .js_get_posts {
        position: relative;
        min-height: 100px;
    }

    .progress.js-loading {
        @include o-position-absolute(0, 0, 0, 0);
        border-radius: 0;

        .progress-bar {
            @include o-position-absolute(45%, 10%, auto, 10%);
            height: 10px;
            margin: 0;
            background: gray('600');
            box-shadow: none;
        }
    }
}
